php54-php-pecl-strict-0.4.1-3.fc25.remi.x86_64.rpm


Advertisement

Description

php54-php-pecl-strict - Strict scalar parameter type hint

Distribution: Fedora 25
Repository: Les RPM de Remi x86_64
Package name: php54-php-pecl-strict
Package version: 0.4.1
Package release: 3.fc25.remi
Package architecture: x86_64
Package type: rpm
Installed size: 24.41 KB
Download size: 17.97 KB
Official Mirror: rpms.famillecollet.com
Strict scalar parameter type hint support for 5.4+. Package built for PHP 5.4 as Software Collection (php54 by remi).

Alternatives

Provides

  • config(php54-php-pecl-strict) = 0.4.1-3.fc25.remi
  • php54-php-pecl(strict) = 0.4.1
  • php54-php-pecl(strict)(x86-64) = 0.4.1
  • php54-php-pecl-strict = 0.4.1-3.fc25.remi
  • php54-php-pecl-strict(x86-64) = 0.4.1-3.fc25.remi
  • php54-php-strict = 0.4.1
  • php54-php-strict(x86-64) = 0.4.1
  • scl-package(php54)

    Download

    Source package: php54-php-pecl-strict-0.4.1-3.fc25.remi.src.rpm

    Install Howto

    1. Download the latest remi-release rpm from
      http://rpms.famillecollet.com/fedora/25/remi/x86_64/
    2. Install remi-release rpm:
      # rpm -Uvh remi-release*rpm
    3. Install php54-php-pecl-strict rpm package:
      # dnf --enablerepo=remi install php54-php-pecl-strict

    Files

    • /opt/remi/php54/root/etc/php.d/strict.ini
    • /opt/remi/php54/root/usr/lib64/php/modules/strict.so
    • /opt/remi/php54/root/usr/share/doc/pecl/strict/EXPERIMENTAL
    • /opt/remi/php54/root/usr/share/doc/pecl/strict/README.md
    • /opt/remi/php54/root/usr/share/licenses/php54-php-pecl-strict/LICENSE
    • /opt/remi/php54/root/var/lib/php/peclxml/php54-php-pecl-strict.xml

    Changelog

    2016-03-08 - Remi Collet <remi@fedoraproject.org> - 0.4.1-3 - adapt for F24

    2015-06-02 - Remi Collet <remi@fedoraproject.org> - 0.4.1-2 - drop runtime dependency on pear, new scriptlets - fix configuration file for PHP 5.4

    2014-12-24 - Remi Collet <remi@fedoraproject.org> - 0.4.1-1.1 - Fedora 21 SCL mass rebuild

    2014-12-08 - Remi Collet <remi@fedoraproject.org> - 0.4.1-1 - Update to 0.4.1

    2014-12-01 - Remi Collet <remi@fedoraproject.org> - 0.4.0-1 - Update to 0.4.0

    2014-11-24 - Remi Collet <remi@fedoraproject.org> - 0.3.0-3 - drop conflicts with ionCube Loader

    2014-11-24 - Remi Collet <remi@fedoraproject.org> - 0.3.0-2 - load as zend_extension

    2014-11-19 - Remi Collet <remi@fedoraproject.org> - 0.3.0-1 - Update to 0.3.0 (beta)

    2014-11-18 - Remi Collet <remi@fedoraproject.org> - 0.2.0-1 - initial package, version 0.2.0 (beta)

    Advertisement
    Advertisement